# salt.modules.msteams

Module for sending messages to MS Teams

New in version 2017.7.0.

configuration:

  This module can be used by either passing a hook_url directly or by specifying it in a configuration profile in the salt master/minion config. For example:

    msteams:
      hook_url: https://outlook.office.com/webhook/837

salt.modules.msteams.post_card(message, hook_url=None, title=None, theme_color=None)

  Send a message to an MS Teams channel. :param message: The message to send to the MS Teams channel. :param hook_url: The Teams webhook URL, if not specified in the configuration. :param title: Optional title for the posted card :param theme_color: Optional hex color highlight for the posted card :return: Boolean if message was sent successfully.

  CLI Example:

      salt '*' msteams.post_card message="Build is done"